[Pkg-mailman-hackers] Pkg-mailman commit - rev 56 - trunk/debian/patches

Laszlo Boszormenyi gcs-guest@haydn.debian.org
Mon, 12 Apr 2004 16:45:53 -0600


Author: gcs-guest
Date: 2004-04-12 16:45:50 -0600 (Mon, 12 Apr 2004)
New Revision: 56

Added:
   trunk/debian/patches/XX_serve_on_specified_port.dpatch
Log:
Fix for #242713, but it needs testing, and as it seems Mailman can be
configured to serve links on the correct http port, we may not need it.
I let Siggy decide if he enables this or not.


Added: trunk/debian/patches/XX_serve_on_specified_port.dpatch
===================================================================
--- trunk/debian/patches/XX_serve_on_specified_port.dpatch	2004-04-12 22:19:51 UTC (rev 55)
+++ trunk/debian/patches/XX_serve_on_specified_port.dpatch	2004-04-12 22:45:50 UTC (rev 56)
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## serve_on_specified_port, experimental patch by Laszlo 'GCS' Boszormenyi
+## to address bug number #242713 , but it seems it can be configured as well
+## even...
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: update is called from the Debian maintainer scripts and prints
+## DP: non-appropriate output.  Change that.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch $patch_opts -p1 < $0;;
+    -unpatch) patch $patch_opts -p1 -R < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1;;
+esac
+
+exit 0
+@DPATCH@
+--- mailman-2.1.4/Mailman/Utils.py.orig	2004-04-12 22:37:31.000000000 +0000
++++ mailman-2.1.4/Mailman//Utils.py	2004-04-12 22:39:52.000000000 +0000
+@@ -248,7 +248,7 @@
+             count = fullpath.count('/')
+         path = ('../' * count) + target
+     else:
+-        path = web_page_url + target
++        path = baseurl + target
+     return path + mm_cfg.CGIEXT
+ 
+